Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceCostMapRange

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.voice.common.bean.VoiceCostMapRange

All Implemented Interfaces:
  `Serializable`, `Idable`

public class VoiceCostMapRange extends Id

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceCostMapRange()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `int`
  `getCostMapId()`
  `LocalDate`
  `getDateFrom()`
  `LocalDate`
  `getDateTo()`
  `BigDecimal`
  `getRangeCost()`
  `int`
  `getRangeId()`
  `VoiceCostMapRange`
  `setComment(String comment)`
  `VoiceCostMapRange`
  `setCostMapId(int costMapId)`
  `VoiceCostMapRange`
  `setDateFrom(LocalDate dateFrom)`
  `VoiceCostMapRange`
  `setDateTo(LocalDate dateTo)`
  `VoiceCostMapRange`
  `setId(int id)`
  Устанавливает id объекта
  `VoiceCostMapRange`
  `setRangeCost(BigDecimal rangeCost)`
  `VoiceCostMapRange`
  `setRangeId(int rangeId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VoiceCostMapRange

    public VoiceCostMapRange()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getCostMapId

    public int getCostMapId()

  - ### getDateFrom

    public LocalDate getDateFrom()

  - ### getDateTo

    public LocalDate getDateTo()

  - ### getRangeCost

    public BigDecimal getRangeCost()

  - ### getRangeId

    public int getRangeId()

  - ### setComment

    public VoiceCostMapRange setComment(String comment)

  - ### setCostMapId

    public VoiceCostMapRange setCostMapId(int costMapId)

  - ### setDateFrom

    public VoiceCostMapRange setDateFrom(LocalDate dateFrom)

  - ### setDateTo

    public VoiceCostMapRange setDateTo(LocalDate dateTo)

  - ### setId

    public VoiceCostMapRange setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setRangeCost

    public VoiceCostMapRange setRangeCost(BigDecimal rangeCost)

  - ### setRangeId

    public VoiceCostMapRange setRangeId(int rangeId)